Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Objref_Traits< PortableServer::POA > Struct Reference

`#include <PortableServerC.h>`

List of all members.

## Static Public Methods

PortableServer::POA_ptr | tao_duplicate (PortableServer::POA_ptr)
void | tao_release (PortableServer::POA_ptr)
PortableServer::POA_ptr | tao_nil (void)
CORBA::Boolean | tao_marshal (PortableServer::POA_ptr p, TAO_OutputCDR &cdr)

## Member Function Documentation

PortableServer::POA_ptr TAO::Objref_Traits< PortableServer::POA >::tao_duplicate | ( | PortableServer::POA_ptr |  | ) | `[static]`

CORBA::Boolean TAO::Objref_Traits< PortableServer::POA >::tao_marshal | ( | PortableServer::POA_ptr | p,
|  | TAO_OutputCDR & | cdr
| ) | `[static]`

PortableServer::POA_ptr TAO::Objref_Traits< PortableServer::POA >::tao_nil | ( | void |  | ) | `[static]`

void TAO::Objref_Traits< PortableServer::POA >::tao_release | ( | PortableServer::POA_ptr |  | ) | `[static]`

The documentation for this struct was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp